<?php
	if (!isset($_SESSION['nazwa'])) {
			header('Location: login.php');
			exit();
		}

	require_once('wiras_php/wa_baza/wa_polacz.php');
	$zap = "Select * FROM gry_refset WHERE status=0 ORDER BY wynik ASC Limit 20";
	$wynik_pobierz = mysqli_query($db, $zap);
	$wynik = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
	{
		$wynik[] = $wiersz;
	}
	$lr = count($wynik);
	//------------------------------		
?>
<link rel="stylesheet" href="gry/refset/css/refset.css" />

	<div id="tlo_refset">
	<p style="font-size: 1.5em; text-align: center; color: #FED; margin: 0;">- Refklik -</p>
		<div id="plansza_refset">
<?php 
		$lp='';
		$nr = 1;
		echo '<div style="width: 95px; height: 20px; float: left;"></div>';
		for ($j=0; $j<5; $j++) {
			$lp = '0'.($nr);
			echo '<input type="button" class="pole_refset" id="but_ref'.($nr).'" value="'.$lp.'">';
			$nr++;
		}
		echo '<div style="width: 90px; height: 62px; float: left; border: 1px ridge #005;"></div>';
		for ($j=0; $j<5; $j++) {
			for ($i=0; $i<8; $i++) {
				if ($nr<9) {
					$lp = '0'.($nr);
				} else $lp=$nr;
				echo '<input type="button" class="pole_refset" id="but_ref'.($nr).'" value="'.$lp.'">';
				$nr++;
			}
		}
		echo '<div style="width: 95px; height: 20px; float: left;"></div>';
		for ($j=0; $j<5; $j++) {
			$lp = $nr;
			echo '<input type="button" class="pole_refset" id="but_ref'.($nr).'" value="'.$lp.'">';
			$nr++;
		}
?>
		</div>
		<div id="menu_refset">
		<p id="napis_refset">MENU</p>
			<input type="button" id="ref_start" value="Start"><br />
			<input type="text" id="tb_refr" value="Pozostało: 50" readonly>
			<input type="text" id="tb_refc" value="00:00.000" readonly>
			<p id="ref_opiswyn" style="text-align: center; margin: 15px 0 0 0">Uczestnicy - 20 najlepszych wyników</p>
			<div id="wynik_refset">
				<div id="wynikk1_refset">
					<p id="napis2_refset">Lp</p>
<?php
		for ($i=0; $i<$lr; $i++) {
			echo ($i+1).'<br />';
		}
?>
					
				</div>
				<div id="wynikk2_refset">
					<p id="napis2_refset">Nazwa</p>
<?php
		for ($i=0; $i<$lr; $i++) {
			echo $wynik[$i][1].'<br />';
		}
?>
				</div>
				<div id="wynikk3_refset">
					<p id="napis2_refset">Wynik</p>
<?php
		for ($i=0; $i<$lr; $i++) {
			echo $wynik[$i][3].'<br />';
		}
?>
				</div>
				<div id="wynikk4_refset">
					<p id="napis2_refset">Data</p>
<?php
		for ($i=0; $i<$lr; $i++) {
			echo $wynik[$i][4].'<br />';
		}
?>
				</div>
			
			</div>
			<form id="refform" action="">
				<input type="radio" id="ref_radio" name="ref_wyb" class="refcw1" value="Ucz" checked> Uczestnicy
				<input type="radio" id="ref_radio" name="ref_wyb" class="refcw2" value="Poz"> Wszyscy
				<input type="radio" id="ref_radio" name="ref_wyb" class="refcw3" value="Tw"> Twoje<br />
			</form>
			<input type="button" id="ref_start" class="ref_zapisz" value="Zapisz">
			
		</div>
	</div>		
 
 
 
 <script type="text/javascript">
  $(document).ready(function(){
	var rs_los = 0;
	var rs_wylosowane = new Array(50);
	var rs_lp=0;
	var ref_start=0;
	var ref_minuty=0;
	var ref_sekundy=0;
	var ref_milisekundy=0;
	var ref_zegar;
	var ref_sg = false;
	var ref_tw = 0;  //Typ wyniku
<?php
	echo 'var ref_nazwa = "'.$_SESSION['nazwa'].'";';
	echo 'var ref_status = '.$_SESSION['status'].';';
?>
	  
	  function start() {
		  losowanie();
		  rs_lp=0;
		  rs_los=rs_wylosowane[rs_lp];
		  $("#but_ref"+rs_los).css('background', '#00B000');
		  $('#tb_refr').val('Pozostało: 50');
		  ref_sg = true;
	  }
	  
	   function ref_koniec() {
		clearTimeout(ref_zegar);
		wyswietlCzas();
		$('#tb_refc').val(wstawZero(ref_minuty)+':'+wstawZero(ref_sekundy)+'.'+ref_milisekundy);
		ref_sg = false;
		$(".ref_zapisz").show(500);
	  }
	  
	  $('.pole_refset').on("click", function(){
		  if (ref_sg==true) {
			  var nid = $(this).attr('id');
			  var id = nid.slice(7, nid.length);
			  if (id==rs_los) {
				  $("#but_ref"+rs_los).css('background', '#000030');
				  $("#but_ref"+rs_los).css('border', '#000030 ridge 1px');
				  rs_lp++;
				   if (rs_lp==50) {
					  $('#tb_refr').val('Pozostało: '+(50-rs_lp));
					  ref_koniec();
				  } else {
				  rs_los=rs_wylosowane[rs_lp];
				  $("#but_ref"+rs_los).css('background', '#00B000');
				  $('#tb_refr').val('Pozostało: '+(50-rs_lp));
				  }
			  }
		  }
	  });
	  
	   $('#ref_start').on("click", function(){
		    for (var i=1; i<51; i++) {
				$("#but_ref"+i).removeAttr('style');
		   }
		   $(".ref_zapisz").hide(300);
		   start();
		   ref_start = new Date();
		   ustawCzas();
	   });
	   
	    $('.ref_zapisz').on("click", function(){
		   var wyn = $('#tb_refc').val();
		   var refc1 =  wyn.slice(6, 9);
		   var refc2 =  wyn.slice(0, 6);
		   if (refc1.length==1) refc1=refc1+'00';
		   if (refc1.length==2) refc1=refc1+'0';
		   var ref_wyn = refc2+refc1;
		   
		   $.ajax({
				type:"POST", 
				url:"gry/refset/refset_ajax.php", 
				data: {k1:ref_nazwa, k2:ref_wyn, k3:ref_status},						 
					success:function() {
						typWyniku();
						$(".ref_zapisz").hide(300);
					},
					error: function(blad) {
					console.log("Błąd! Problem z zapisem wyników");
				}
			});
	   });
	   
	   $('input[type="radio"]').change(function() {
		var cc = this.form.ref_wyb;
		if ((cc[0].checked)) ref_tw=0;
		if ((cc[1].checked)) ref_tw=1;
		if ((cc[2].checked)) ref_tw=2;
		typWyniku();
	});
	  
	  function wyswietlWynik(a, s) {
		  $.ajax({
            type:"POST",
            url:"gry/refset/refset_ajax_wynik.php", 
            dataType:'json',
			async: false,
			data: {k1:a, k2:ref_tw},
                success: function(json) {
				 $('#ref_opiswyn').html(s);
				 $('#wynikk1_refset').html(json[0]);
				 $('#wynikk2_refset').html(json[1]);
				 $('#wynikk3_refset').html(json[2]);
				 $('#wynikk4_refset').html(json[3]);
                },
			error: function(blad) {
					console.log('Błąd! Problem z wyświetleniem wyników');
				}
		});
	  }
	  
	  function typWyniku() {
		var tw = '';
		var opis = '';
		if (ref_tw==0) {
			tw='0';
			opis='Uczestnicy - 20 najlepszych wyników';
		}
		if (ref_tw==1) {
			tw='0';
			opis='Wszyscy - 20 najlepszych wyników';
		}if (ref_tw==2) {
			tw=ref_nazwa;
			opis='Wszystkie twoje zapisane wyniki';
		}
		wyswietlWynik(tw, opis);
	  }
	  
	  function wstawZero(i) {
        return (i < 10)? '0'+i : i;
      } 
	  
	  function ustawCzas() {
		  if (ref_sg==true) {
			wyswietlCzas();
			$('#tb_refc').val(wstawZero(ref_minuty)+':'+wstawZero(ref_sekundy)+'.'+parseInt(ref_milisekundy/100));
			ref_zegar = setTimeout(function() {
                ustawCzas()
            }, 100);
		  }
		}
		
	 function wyswietlCzas() {
			var c = new Date() - ref_start;
			var ref_s = parseInt(c / 1000);
			ref_sekundy=ref_s%60;
			ref_milisekundy=(c-(ref_s*1000));
			if (ref_milisekundy<100) {
				ref_milisekundy=ref_milisekundy*10;
			}
			ref_minuty=parseInt(ref_s / 60);
	 }
	  
	  function losowanie() {
		  var k=50;
		  var n = 50;
		  
		  var numbers = new Array(n);
		   for (var i=0; i<n; i++) {
			  numbers[i] = i + 1;
		   }

		  for (var i=0; i<k; i++) {
			  var r = Math.floor(Math.random()*n);
			  rs_wylosowane[i] = numbers[r];
			  numbers[r] = numbers[n - 1];
			  n--;
		  }
	}
});	  
 </script>